###--- >>> `summary.multilm' <<<----- Stable Multivariate Tests

	## alias	 help(summary.multilm)

##___ Examples ___:

# Edgar Anderson's famous iris data
data(iris)
# one-classification MANOVA, Y response matrix, X designmatrix
Y <- as.matrix(iris[,1:4]);
X <- cbind(c(rep(1,50), rep(0,100)), c(rep(0,50), rep(1,50), rep(0,50)), c(rep(0,100), rep(1,50)));
# restrictions: sum of effects equal zero
Z <- c(0,1,1,1);
# test for equal effects
K <- cbind(0,diag(2),-1);
# model (this method returns a multilm object)
mod <- multilm(Y ~ X, K,Z);
# output and stable tests
summary.multilm(mod)            # Hotelling T^2: pvalue = 0
summary.multilm(mod, "SS")      # SS-Test: pvalue = 0
summary.multilm(mod, "PC-q")    # PC-q-Test: pvalue = 0
summary.multilm(mod, "PC-1")    # PC-1-Test: pvalue = 0
summary.multilm(mod, "CS")      # CS-Test: pvalue = 0
# the iris data is to good -> simulate a "bad" multivariate dataset 
# only 8 observations in 2 groups, 4 variables
observ <- c(1:4,51:54);
rY <- Y[observ,]
rX <- X[observ,1:2]
rZ <- c(0,1,1);
rK <- c(0,1,-1);
rmod <- multilm(rY ~ rX, rK, rZ);
summary.multilm(rmod)$pvalue            # T^2: pvalue = .00052
summary.multilm(rmod, "SS")     # SS-Test: pvalue = .008
summary.multilm(rmod, "PC-q")   # PC-q-Test: pvalue = .000012
summary.multilm(rmod, "PC-1")   # PC-1-Test: pvalue = .0000038
summary.multilm(rmod, "CS")     # CS-Test: pvalue = .0002

## Keywords: 'multivariate linear models'.


